Partner APIs
- : Read any data from the organization down
You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.
The unique identifier of the organization
b1a23Partner for partner integrations
Subpath for partner integrations
Successful operation
Error
GET /v1/volleyball/o/{organizationId}/partners/{partner}/{path:subpath} HTTP/1.1
Host: api.dc.connect.sportradar.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2
{}{
"meta": {
"version": 1,
"codeVersion": "d6cd1e2bd19e03a81132a23b2025920577f84e37",
"code": 200,
"time": "2018-06-05 23:43:41.227584+00:00",
"fromCache": false,
"count": 7,
"limit": 10,
"offset": 10,
"generationTime": 0.011604
},
"links": {
"self": "https://example.com",
"next": "https://example.com",
"previous": "https://example.com"
},
"included": {
"resources": {
"ANY_ADDITIONAL_PROPERTY": "league"
}
},
"data": [
{}
]
}- : Read any data from the organization down
You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.
The unique identifier of the organization
b1a23Partner for partner integrations
Subpath for partner integrations
Successful operation
Error
POST /v1/volleyball/o/{organizationId}/partners/{partner}/{path:subpath} HTTP/1.1
Host: api.dc.connect.sportradar.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2
{}{
"meta": {
"version": 1,
"codeVersion": "d6cd1e2bd19e03a81132a23b2025920577f84e37",
"code": 200,
"time": "2018-06-05 23:43:41.227584+00:00",
"fromCache": false,
"count": 7,
"limit": 10,
"offset": 10,
"generationTime": 0.011604
},
"links": {
"self": "https://example.com",
"next": "https://example.com",
"previous": "https://example.com"
},
"included": {
"resources": {
"ANY_ADDITIONAL_PROPERTY": "league"
}
},
"data": [
{}
]
}- : Read any data from the organization down
You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.
The unique identifier of the organization
b1a23Partner for partner integrations
Subpath for partner integrations
Successful operation
Error
PUT /v1/volleyball/o/{organizationId}/partners/{partner}/{path:subpath} HTTP/1.1
Host: api.dc.connect.sportradar.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2
{}{
"meta": {
"version": 1,
"codeVersion": "d6cd1e2bd19e03a81132a23b2025920577f84e37",
"code": 200,
"time": "2018-06-05 23:43:41.227584+00:00",
"fromCache": false,
"count": 7,
"limit": 10,
"offset": 10,
"generationTime": 0.011604
},
"links": {
"self": "https://example.com",
"next": "https://example.com",
"previous": "https://example.com"
},
"included": {
"resources": {
"ANY_ADDITIONAL_PROPERTY": "league"
}
},
"data": [
{}
]
}Call a partner API DELETE service
- : Read any data from the organization down
You can create a JSON Web Token (JWT) using the token API call. Each token is given a set of scopes/permissions. Each endpoint has a scope/permission that it requires to run. If your token does not possess the correct scope then you will be unable to make the API call.
The unique identifier of the organization
b1a23Partner for partner integrations
Subpath for partner integrations
Successful operation
Error
DELETE /v1/volleyball/o/{organizationId}/partners/{partner}/{path:subpath} HTTP/1.1
Host: api.dc.connect.sportradar.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2
{}{
"meta": {
"version": 1,
"codeVersion": "d6cd1e2bd19e03a81132a23b2025920577f84e37",
"code": 200,
"time": "2018-06-05 23:43:41.227584+00:00",
"fromCache": false,
"count": 7,
"limit": 10,
"offset": 10,
"generationTime": 0.011604
},
"links": {
"self": "https://example.com",
"next": "https://example.com",
"previous": "https://example.com"
},
"included": {
"resources": {
"ANY_ADDITIONAL_PROPERTY": "league"
}
},
"data": [
{}
]
}Last updated
Was this helpful?